org.bdgenomics.adam.rdd.read

# AlignmentDataset

###
Related Docs: class AlignmentDataset | package read

#### object AlignmentDataset extends Serializable

Linear Supertypes
Serializable, Serializable, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. AlignmentDataset
2. Serializable
3. Serializable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### val WRITE_ORIGINAL_QUALITY_SCORES: String

   Hadoop configuration path to check for a boolean value indicating whether the current or original read quality scores should be written.

   Hadoop configuration path to check for a boolean value indicating whether the current or original read quality scores should be written. True indicates to write the original quality scores. The default is false.

5. #### val WRITE_SUFFIXES: String

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair.

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair. Default is false (no suffixes).

6. #### def apply(ds: Dataset[Alignment], sequences: SequenceDictionary, readGroups: ReadGroupDictionary, processingSteps: Seq[ProcessingStep]): AlignmentDataset

   Builds an AlignmentDataset without a partition map from a Dataset.

   Builds an AlignmentDataset without a partition map from a Dataset.

   ds

     The underlying Alignment Dataset.

   sequences

     The sequence dictionary for the genomic dataset.

   readGroups

     The read group dictionary for the genomic dataset.

   processingSteps

     The processing steps for the genomic dataset.

   returns

     A new AlignmentDataset.

7. #### def apply(ds: Dataset[Alignment]): AlignmentDataset

   Builds an AlignmentDataset without a partition map from a Dataset.

   Builds an AlignmentDataset without a partition map from a Dataset.

   ds

     The underlying Alignment Dataset.

   returns

     A new AlignmentDataset.

8. #### def apply(rdd: RDD[Alignment], sequences: SequenceDictionary, readGroups: ReadGroupDictionary, processingSteps: Seq[ProcessingStep]): AlignmentDataset

   Builds an AlignmentDataset without a partition map from an RDD.

   Builds an AlignmentDataset without a partition map from an RDD.

   rdd

     The underlying Alignment RDD.

   sequences

     The sequence dictionary for the genomic dataset.

   readGroups

     The read group dictionary for the genomic dataset.

   processingSteps

     The processing steps for the genomic dataset.

   returns

     A new AlignmentDataset.

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### def unaligned(rdd: RDD[Alignment]): AlignmentDataset

    Builds an AlignmentDataset for unaligned reads.

    Builds an AlignmentDataset for unaligned reads.

    rdd

      The underlying Alignment RDD.

    returns

      A new AlignmentDataset.

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped